Wednesday, January 07, 2009

Basic Eclipse plugins

Some update sites of useful plugins for Eclipse 3.4 (Ganymede) , but most of them can work with Eclipse 3.3 (Europa) and even 3.2 !
Just for not having to google them again :D

1/ SubVersioN client: Subversive Subclipse

2/ Project build: Ant Maven2 (m2eclipse)

3/ Coding style: Checkstyle PMD

4/ Code coverage: Cobertura Emma (eclemma)

5/ Continuous integration: LuntBuild Hudson (hudson-eclipse)

6/ Unit test: JUnit TestNG

7/ ORM framework: iBatis Hibernate (HibernateTools)

8/ POJO framework: Seam Spring (SpringIDE)

... (FlexBuilder, WTP, Unitils, DbUnit, liquidBase, etc ) ...

No comments: